%define name       gmetadom
%define version    0.1.8
%define release     3mdk

%define major 0
%define libname  %mklibname gmetadom_gdome_cpp_smart %major

Summary: C++ Wrapper for GDOME
Name: %name
Version: %version
Release: %release
Group:  System/Libraries
License:   LGPL
URL:  http://gmetadom.sourceforge.net/    
Source:  http://prdownloads.sourceforge.net/gmetadom/gmetadom-0.1.8.tar.bz2
Patch0:  gmetadom-0.1.8-gcc-33.patch.bz2
BuildRoot: %_tmppath/%name-buildroot
BuildRequires: autoconf2.5 
BuildRequires: libgdome-devel 
BuildRequires: ocaml
Requires: glib libgdome0 libxslt1  

%description
GMetaDOM is a collection of libraries, each library providing a
DOM implementation. Each DOM implementation is generated
automatically by means of XSLT stylesheets.

%package -n %libname
Summary: CPP Libraries for gdome2
Group: System/Libraries 

%description -n %libname
 GMetaDOM is a collection of libraries, each library providing a
DOM implementation. Each DOM implementation is generated
automatically by means of XSLT stylesheets.

%package -n %libname-devel
Summary: Libraries and include files for gdome2
Group:    Development/C++ 
Requires: %libname = %{version}-%release 
Requires: glib-devel >= 1.2.10 libgdome-devel libxml2-devel >= 2.4.26  
Provides: %name-devel  = %version-%release
Provides: libgmetadom_gdome_cpp_smart-devel = %version-%release

%description -n %libname-devel
GMetaDOM is a collection of libraries, each library providing a
DOM implementation. Each DOM implementation is generated
automatically by means of XSLT stylesheets. 

%package ocaml
Group: Development/Other
Summary: Ocaml bindings for %name
Requires: ocaml

%description ocaml
GMetaDOM is a collection of libraries, each library providing a
DOM implementation. Each DOM implementation is generated
automatically by means of XSLT stylesheets. 

This are the Ocaml bindings of GMetaDOM.



%prep
rm -rf $RPM_BUILD_ROOT

%setup -qn %name-%version
%patch0 -p1

%build
%configure2_5x  

%install  

%makeinstall_std  
 
%clean
rm -rf $RPM_BUILD_ROOT 
 
%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig
 
%files -n %libname
%defattr(-, root, root) 
%_libdir/lib*.so.*
 
%files -n %libname-devel
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog HISTORY INSTALL LICENSE      
%_includedir/*
%_libdir/pkgconfig/*.pc
%_libdir/lib*.so
%_libdir/*.a
%_libdir/*.la 

%files ocaml
%defattr(-, root, root) 
%_libdir/ocaml/*

%changelog
* Wed Jul  9 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.1.8-3mdk
- rebuild for new rpm

* Tue Jun 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.1.8-2mdk
- add the version and release number to the devel provides

* Tue Jun 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.1.8-1mdk
- fix release tag
- source URL
- from Charles A Edwards <eslrahc@bellsouth.net>
  - release 0.1.8	
  - patch for gcc-33
  - update file list
 
* Fri May  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.1.6-1mdk
- add ocaml subpackage
- dir ownership
- from  Charles A Edwards <eslrahc@bellsouth.net>:
  - initial mdk release





 
